%global momorel 2
%global gcc_ver $(gcc -dumpversion)
%global build_gcc 0
%global llvm_bindir %{_libdir}/%{name}

# Build options:
#
# --with doxygen
#   The doxygen docs are HUGE, so they are not built by default.

%ifarch s390 s390x sparc64
  # No ocaml on these arches
  %bcond_with ocaml
%else
  %bcond_without ocaml
%endif

%bcond_with ocaml

#%%global prerel rc1
#%global downloadurl http://llvm.org/%{?prerel:pre-}releases/%{version}

Name:           llvm
Version:        6.0.1
Release:        %{momorel}m%{?dist}
Summary:        The Low Level Virtual Machine

Group:          Development/Languages
License:        "NCSA"
URL:            http://llvm.org/

# Release Source
Source0:        http://llvm.org/releases/%{version}/llvm-%{version}.src.tar.xz
NoSource:       0
Source1:        http://llvm.org/releases/%{version}/cfe-%{version}.src.tar.xz
NoSource:       1

# PreRelease Source
#Source0:        http://llvm.org/pre-releases/%{version}/%{prerel}/llvm-%{version}%{?prerel}.tar.gz
#NoSource:       0
#Source1:        http://llvm.org/pre-releases/%{version}/%{prerel}/cfe-%{version}%{?prerel}.tar.gz
#NoSource:       1

# snapshot Source
#Source0:        http://llvm.org/pre-releases/%{version}/%{prerel}/llvm-%{version}-%{?date}.tar.xz
#Source1:        http://llvm.org/pre-releases/%{version}/%{prerel}/clang-%{version}-%{?date}.tar.xz`

# multilib fixes5B
Source2:        llvm-Config-config.h
Source3:        llvm-Config-llvm-config.h

Patch0:         llvm-3.7.1-cmake-s390.patch
Patch3:         0001-CMake-Split-static-library-exports-into-their-own-ex.patch
Patch7:         0001-Filter-out-cxxflags-not-supported-by-clang.patch
Patch9:         0001-Export-LLVM_DYLIB_COMPONENTS-in-LLVMConfig.cmake.patch

Patch10:        0001-Don-t-run-BV-DAG-Combine-before-legalization-if-it-a.patch
Patch11:        0001-PowerPC-Do-not-round-values-prior-to-converting-to-i.patch
Patch12:        0001-SystemZ-TableGen-Fix-shift-count-handling.patch

Patch20:        clang-5.0-momonga.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  flex
BuildRequires:  gcc-c++ >= 4.9
BuildRequires:  groff
BuildRequires:  libffi-devel >= 3.2.1
BuildRequires:  libtool-ltdl-devel
%if %{with ocaml}
BuildRequires:  ocaml-ocamldoc
%endif
# for DejaGNU test suite
BuildRequires:  dejagnu tcl-devel python
%if 0%{?_with_doxygen}
BuildRequires:  doxygen graphviz
%endif
BuildRequires:  perl-Pod-Html
Requires:       llvm-libs = %{version}-%{release}

%description
LLVM is a compiler infrastructure designed for compile-time,
link-time, runtime, and idle-time optimization of programs from
arbitrary programming languages.  The compiler infrastructure includes
mirror sets of programming tools as well as libraries with equivalent
functionality.


%package devel
Summary:        Libraries and header files for LLVM
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       libffi-devel
Requires:       libstdc++-devel >= 3.4
Provides:       llvm-static = %{version}-%{release}

Requires(posttrans): /usr/sbin/alternatives
Requires(postun):    /usr/sbin/alternatives

%description devel
This package contains library and header files needed to develop new
native programs that use the LLVM infrastructure.


%package doc
Summary:        Documentation for LLVM
Group:          Documentation
BuildArch:	noarch
Requires:       %{name} = %{version}-%{release}
# might seem redundant, but needed to kill off the old arch-ed -doc
# subpackage
Obsoletes:      %{name}-doc < %{version}-%{release}

%description doc
Documentation for the LLVM compiler infrastructure.


%package libs
Summary:        LLVM shared libraries
Group:          System Environment/Libraries

%description libs
Shared libraries for the LLVM compiler infrastructure.


%package -n clang
Summary:        A C language family front-end for LLVM
Group:          Development/Languages
Requires:       llvm = %{version}-%{release}
# clang requires gcc; clang++ gcc-c++
Requires:       gcc-c++

%description -n clang
clang: noun
    1. A loud, resonant, metallic sound.
    2. The strident call of a crane or goose.
    3. C-language family front-end toolkit.

The goal of the Clang project is to create a new C, C++, Objective C
and Objective C++ front-end for the LLVM compiler. Its tools are built
as libraries and designed to be loosely-coupled and extensible.


%package -n clang-devel
Summary:        Header files for clang
Group:          Development/Languages
Requires:       clang = %{version}-%{release}

%description -n clang-devel
This package contains header files for the Clang compiler.


%package -n clang-analyzer
Summary:        A source code analysis framework
Group:          Development/Languages
Requires:       clang = %{version}-%{release}
# not picked up automatically since files are currently not instaled
# in standard Python hierarchies yet
Requires:       python

%description -n clang-analyzer
The Clang Static Analyzer consists of both a source code analysis
framework and a standalone tool that finds bugs in C and Objective-C
programs. The standalone tool is invoked from the command-line, and is
intended to run in tandem with a build of a project or code base.


%package -n clang-doc
Summary:        Documentation for Clang
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description -n clang-doc
Documentation for the Clang compiler front-end.


%if 0%{?_with_doxygen}
%package apidoc
Summary:        API documentation for LLVM
Group:          Development/Languages
BuildArch:      noarch
Requires:       %{name}-doc = %{version}-%{release}


%description apidoc
API documentation for the LLVM compiler infrastructure.


%package -n clang-apidoc
Summary:        API documentation for Clang
Group:          Development/Languages
BuildArch:      noarch
Requires:       clang-doc = %{version}-%{release}


%description -n clang-apidoc
API documentation for the Clang compiler.
%endif

%package static
Summary:        LLVM static libraries

%description static
Static libraries for the LLVM compiler infrastructure.

%if %{with ocaml}
%package        ocaml
Summary:        OCaml binding for LLVM
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-runtime

%description    ocaml
OCaml binding for LLVM.


%package        ocaml-devel
Summary:        Development files for %{name}-ocaml
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-ocaml = %{version}-%{release}
Requires:       ocaml

%description    ocaml-devel
The %{name}-ocaml-devel package contains libraries and signature files
for developing applications that use %{name}-ocaml.


%package ocaml-doc
Summary:        Documentation for LLVM's OCaml binding
Group:          Documentation
BuildArch:	noarch
Requires:       %{name}-ocaml = %{version}-%{release}

%description ocaml-doc
HTML documentation for LLVM's OCaml binding.
%endif


%prep
#%%setup -q -n llvm-%{version}%{?prerel} -a1 %{?_with_gcc:-a2}
%setup -q -n llvm-%{version}%{?prerel}.src -a1 %{?_with_gcc:-a2}
#%%setup -q -n llvm.src -a1 %{?_with_gcc:-a2}
rm -rf tools/clang
mv cfe-%{version}%{?prerel}.src tools/clang

%patch0 -p1
%patch3 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

# momonga patch includes patch1
%patch20 -p1 -b .momonga~

%build
%ifarch %{ix86}
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')
%global i686_extra_ldflags -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
export LDFLAGS="%{i686_extra_ldflags}"
%endif

mkdir -p _build
cd _build

CC=gcc \
CXX=g++ \
%cmake .. \
        -DBUILD_SHARED_LIBS:BOOL=OFF \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
%ifarch %{ix86}
        -DCMAKE_C_FLAGS_RELWITHDEBINFO="%{optflags} -DNDEBUG" \
        -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="%{optflags} -DNDEBUG" \
        -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-Bsymbolic -static-libstdc++ %{i686_extra_ldflags}" \
%else
        -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-Bsymbolic -static-libstdc++" \
%endif
%if 0%{?__isa_bits} == 64
        -DLLVM_LIBDIR_SUFFIX=64 \
%else
        -DLLVM_LIBDIR_SUFFIX= \
%endif
        \
        -DLLVM_TARGETS_TO_BUILD="X86;AMDGPU;PowerPC;NVPTX;SystemZ;AArch64;ARM;Mips;BPF" \
        -DLLVM_ENABLE_LIBCXX:BOOL=OFF \
        -DLLVM_ENABLE_ZLIB:BOOL=ON \
        -DLLVM_ENABLE_RTTI:BOOL=ON \
        \
        -DLLVM_BINUTILS_INCDIR=%{_includedir} \
        \
        -DLLVM_BUILD_RUNTIME:BOOL=ON \
        \
        -DLLVM_INCLUDE_TOOLS:BOOL=ON \
        -DLLVM_BUILD_TOOLS:BOOL=ON \
        \
        -DLLVM_INCLUDE_TESTS:BOOL=ON \
        -DLLVM_BUILD_TESTS:BOOL=ON \
        \
        -DLLVM_INCLUDE_EXAMPLES:BOOL=ON \
        -DLLVM_BUILD_EXAMPLES:BOOL=OFF \
        \
        -DLLVM_INCLUDE_UTILS:BOOL=ON \
        -DLLVM_INSTALL_UTILS:BOOL=ON \
        -DLLVM_UTILS_INSTALL_DIR:PATH=%{llvm_bindir} \
        \
        -DLLVM_INCLUDE_DOCS:BOOL=ON \
        -DLLVM_BUILD_DOCS:BOOL=ON \
        -DLLVM_ENABLE_SPHINX:BOOL=ON \
        -DLLVM_ENABLE_DOXYGEN:BOOL=OFF \
        \
        -DLLVM_BUILD_LLVM_DYLIB:BOOL=ON \
        -DLLVM_DYLIB_EXPORT_ALL:BOOL=ON \
        -DLLVM_LINK_LLVM_DYLIB:BOOL=ON \
        -DLLVM_BUILD_EXTERNAL_COMPILER_RT:BOOL=ON \
        -DLLVM_INSTALL_TOOLCHAIN_ONLY:BOOL=OFF \
        \
        -DSPHINX_WARNINGS_AS_ERRORS=OFF \
        -DSPHINX_EXECUTABLE=%{_bindir}/sphinx-build-3

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
cd _build

make install DESTDIR=%{buildroot}

# you have got to be kidding me
rm -f %{buildroot}%{_bindir}/{FileCheck,count,not}

# fix multi-lib
mv -v %{buildroot}%{_bindir}/llvm-config{,-%{__isa_bits}}

pushd %{buildroot}%{_includedir}/llvm/Config
#mv config.h config-%{__isa_bits}.h
#cp -p %{SOURCE2} config.h
mv llvm-config.h llvm-config-%{__isa_bits}.h
cp -p %{SOURCE3} llvm-config.h
popd

# Create ld.so.conf.d entry
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat >> %{buildroot}%{_sysconfdir}/ld.so.conf.d/llvm-%{_arch}.conf << EOF
%{_libdir}/llvm
EOF

# Static analyzer not installed by default:
# http://clang-analyzer.llvm.org/installation#OtherPlatforms
mkdir -p %{buildroot}%{_libdir}/clang-analyzer
# create launchers
#for f in scan-{build,view}; do
#  ln -s %{_libdir}/clang-analyzer/$f/$f %{buildroot}%{_bindir}/$f
#done

(cd tools/clang/tools && cp -pr scan-{build,view} \
 %{buildroot}%{_libdir}/clang-analyzer/)


# Move documentation back to build directory
# 
#mv %{buildroot}/moredocs .
#rm -f moredocs/*.tar.gz
#rm -f moredocs/ocamldoc/html/*.tar.gz

# and separate the apidoc
%if 0%{?_with_doxygen}
mv moredocs/html/doxygen apidoc
mv tools/clang/docs/doxygen/html clang-apidoc
%endif

# And prepare Clang documentation
#
pushd ../
mkdir clang-docs
for f in LICENSE.TXT NOTES.txt README.txt ; do
  ln tools/clang/$f clang-docs/
done
rm -rf tools/clang/docs/{doxygen*,Makefile*,*.graffle,tools}
popd


#find %%{buildroot} -name .dir -print0 | xargs -0r rm -f
file %{buildroot}/%{_bindir}/* | awk -F: '$2~/ELF/{print $1}' | xargs -r chrpath -d
#chrpath -d %%{buildroot}/%%{_libexecdir}/clang-cc

# Get rid of erroneously installed example files.
# rm %{buildroot}%{_libdir}/%{name}/*LLVMHello.*

# remove documentation makefiles:
# they require the build directory to work
find examples -name 'Makefile' | xargs -0r rm -f

# remove editor integrations (bbedit, sublime, emacs, vim)
rm -vf %{buildroot}%{_datadir}/clang/clang-format-bbedit.applescript
rm -vf %{buildroot}%{_datadir}/clang/clang-format-sublime.py*
rm -vf %{buildroot}%{_datadir}/clang/clang-format.el
rm -vf %{buildroot}%{_datadir}/clang/clang-format.py*
# clang-tools-extra
rm -vf %{buildroot}%{_datadir}/clang/clang-include-fixer.py
rm -vf %{buildroot}%{_datadir}/clang/clang-tidy-diff.py
rm -vf %{buildroot}%{_datadir}/clang/run-clang-tidy.py
rm -vf %{buildroot}%{_datadir}/clang/run-find-all-symbols.py
rm -vf %{buildroot}%{_datadir}/clang/clang-include-fixer.el
rm -vf %{buildroot}%{_datadir}/clang/clang-rename.el
rm -vf %{buildroot}%{_datadir}/clang/clang-rename.py
# remove diff reformatter
rm -vf %{buildroot}%{_datadir}/clang/clang-format-diff.py*


#%check
## LLVM test suite failing on PPC64
#%ifnarch ppc64
#make check LIT_ARGS="-v -j4"
#%endif
#
## clang test suite failing on PPC
#%ifnarch ppc ppc64
#
## Disable parallel test to avoid possible deadlock with python-2.7.2
#make -C tools/clang/test TESTARGS="-v -j1"
#%endif

%post libs -p /sbin/ldconfig
%post -n clang -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig
%postun -n clang -p /sbin/ldconfig


%posttrans devel
# link llvm-config to the platform-specific file;
# use ISA bits as priority so that 64-bit is preferred
# over 32-bit if both are installed
alternatives \
  --install \
  %{_bindir}/llvm-config \
  llvm-config \
  %{_bindir}/llvm-config-%{__isa_bits} \
  %{__isa_bits}

%postun devel
if [ $1 -eq 0 ]; then
  alternatives --remove llvm-config \
    %{_bindir}/llvm-config-%{__isa_bits}
fi
exit 0


%files
%defattr(-,root,root,-)
%doc CREDITS.TXT LICENSE.TXT README.txt
%{_bindir}/bugpoint
%{_bindir}/llc
%{_bindir}/lli
#%%{_bindir}/lli-child-target
%exclude %{_bindir}/llvm-config-%{__isa_bits}
%{_bindir}/llvm*
#%{_bindir}/macho-dump
%{_bindir}/opt
%{_bindir}/git-clang-format
%{_bindir}/obj2yaml
%{_bindir}/sancov
%{_bindir}/sanstats
%{_bindir}/verify-uselistorder
#%%{_bindir}/yaml-bench
%{_bindir}/yaml2obj
%{llvm_bindir}/*
%exclude %{_mandir}/man1/clang.1.*
%doc %{_mandir}/man1/*.1.*
%{_datadir}/opt-viewer
%{_datadir}/clang/bash-autocomplete.sh

%files devel
%defattr(-,root,root,-)
%{_bindir}/llvm-config-%{__isa_bits}
%{_includedir}/%{name}
%{_includedir}/%{name}-c
%{_libdir}/*.a
#%%{_datadir}/llvm/cmake
%{_libdir}/cmake/llvm/

%files libs
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/llvm-%{_arch}.conf
#%%dir %{_libdir}/%{name}
%exclude %{_libdir}/libclang.so
%{_libdir}/*.so
%{_libdir}/libLTO.so*

%files -n clang
%defattr(-,root,root,-)
%doc clang-docs/*
%{_bindir}/clang*
%{_bindir}/c-index-test
%{_libdir}/libclang.so
%{_libdir}/libclang.so.*
#%%{_prefix}/lib/clang
%doc %{_mandir}/man1/clang.1.*

%files -n clang-devel
%defattr(-,root,root,-)
%{_includedir}/clang
%{_includedir}/clang-c
%{_libdir}/clang/%{version}/include/
%{_libdir}/cmake/clang/

%files -n clang-analyzer
%defattr(-,root,root,-)
%{_bindir}/scan-build
%{_bindir}/scan-view
%{_libdir}/clang-analyzer
%{_datadir}/scan-build/
%{_datadir}/scan-view/
%{_libexecdir}/ccc-analyzer
%{_libexecdir}/c++-analyzer

%files -n clang-doc
%defattr(-,root,root,-)
%doc tools/clang/docs/*
%{_datadir}/doc/clang

%files doc
%defattr(-,root,root,-)
#%doc %{_pkgdocdir}/html
#%%doc examples moredocs/html
%{_datadir}/doc/llvm

%files static
%{_libdir}/*.a
#%%{_libdir}/cmake/llvm/LLVMStaticExports.cmake

%if %{with ocaml}
%files ocaml
%defattr(-,root,root,-)
#%{_libdir}/ocaml/*.cma
#%{_libdir}/ocaml/*.cmi
#%{_libdir}/ocaml/META.llvm*
#%{_libdir}/ocaml//dllllvm*

%files ocaml-devel
%defattr(-,root,root,-)
#%{_libdir}/ocaml/*.a
#%{_libdir}/ocaml/*.cmx*
#%{_libdir}/ocaml/*.mli

%files ocaml-doc
%defattr(-,root,root,-)
#%doc moredocs/ocamldoc/html/*
%endif

%if 0%{?_with_doxygen}
%files apidoc
%defattr(-,root,root,-)
%doc apidoc/*

%files -n clang-apidoc
%defattr(-,root,root,-)
%doc clang-apidoc/*
%endif


%changelog
* Tue Oct  9 2018 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6.0.1-2m)
- fix build on i686 (final close failed: memory exhausted)
- import fedora patches

* Mon Jul 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (6.0.1-1m)
- llvm-6.0.1

* Fri Mar 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (6.0.0-1m)
- llvm-6.0.0

* Sat Jan 20 2018 Hajime Yoshimori <lugia@momonga-linux.org>
- (5.0.1-2m)
- update momonga patch

* Mon Jan 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (5.0.1-1m)
- llvm-5.0.1

* Mon Sep 11 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (5.0.0-1m)
- llvm-5.0.0

* Wed Jul 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.1-1m)
- llvm-4.0.1

* Tue Jun 27 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- fix build on i686 (ld: final link failed: Memory exhausted)

* Mon Jun 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-1m)
- llvm-4.0.0

* Sun May 21 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- fix build

* Wed Jan 21 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.1-1m)
- llvm-3.5.1

* Mon Dec 15 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- rebuild against libffi-3.2.1

* Mon Dec 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.0-1m)
- llvm-3.5.0

* Fri Jun 20 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.2-1m)
- llvm-3.4.2

* Mon May 12 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.1-1m)
- llvm-3.4.1

* Fri Apr 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.4-2m)
- rebuild against graphviz-2.36.0-1m

* Thu Jan 23 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4-1m)
- llvm-3.4

* Mon Nov 25 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4-0.1m)
- llvm-3.4-rc1

* Mon Sep 23 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3-1m)
- llvm-3.3

* Sat Dec 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2-1m)
- llvm-3.2

* Mon Dec 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2-0.1m)
- llvm-3.2-rc3

* Tue May 29 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1-2m)
- merge from fedora

* Sat May 26 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1-1m)
- copy from trunk@r56680
- update to 3.1

* Fri Dec  2 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.0-1m)
- update 3.0 release

* Sun Nov 20 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.0-0.3m)
- update 3.0-rc4

* Sun Nov 20 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-0.2m)
- remove %%{_bindir}/llvm-tblgen conflicting with llvm from clang

* Sun Nov 20 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.0-0.1m)
- update 3.0-rc2

* Sun Oct  2 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.9-4m)
- fix deadlock issue again

* Mon Sep 26 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.9-3m)
- fix deadlock issue in %%check section

* Wed Sep 14 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.9-2m)
- fix build failure
-- update clang-2.9-momonga.patch
-- update gcc_ver macro
- merge fedora's changes
-- fix multilib issue
-- add BuildRequires

* Thu Apr 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.9-1m)
- update to 2.9

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.9-0.20110222.2m)
- rebuild for new GCC 4.6

* Tue Feb 22 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.9-0.20110222.1m)
- update to 2.9pre 20110222

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.8-2m)
- rebuild for new GCC 4.5

* Thu Nov 11 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.8-1m)
- update to 2.8

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7-3m)
- full rebuild for mo7 release

* Thu Apr 29 2010 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.7-2m)
- add obso llvm-apidoc

* Thu Apr 29 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7-1m)
- update to 2.7

* Sun Apr 11 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6-3m)
- rebuild against ocaml-3.11.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6-1m)
- update to 2.6

* Wed Sep 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5-2m)
- apply glibc210 patch

* Tue Mar  3 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5-1m)
- update to 2.5
- delete included Patch2: llvm-2.4-gcc44.patch

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4-3m)
- rebuild against rpm-4.6

* Tue Dec 16 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-2m)
- import Patch1: llvm-2.4-fix-ocaml.patch from fedora

* Mon Nov 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-1m)
- update to 2.4

* Tue Nov  4 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-0.1m)
- update to 2.4 prerelases
- enable with_gcc test

* Wed Aug 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3-1m)
- import from Fedora to Momonga
- add --enable-bindings=none at %%configure, for avoid ocaml bindings make error
- fix force man .gz setting
- use specopt

* Wed Jun 18 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.3-2
- Add dependency on groff

* Wed Jun 18 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.3-1
- LLVM 2.3

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2-4
- fix license tags

* Wed Mar  5 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.2-3
- Fix compilation problems with gcc 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2-2
- Autorebuild for GCC 4.3

* Sun Jan 20 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.1-2
- Fix review comments

* Sun Jan 20 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.1-1
- Initial version
